Forking start
Call forking allows you to stream the media from a call to a specific target in realtime.
This stream can be used to enable realtime audio analysis to support a
variety of use cases, including fraud detection, or the creation of AI-generated audio responses.
Requests must specify either the target attribute or the rx and tx attributes.
Expected Webhooks:
call.fork.startedcall.fork.stopped
Documentation Index
Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier and token for controlling the call
Body
Fork media request
The network target, udp:ip_address:port [blocked], where the call's incoming RTP media packets should be forwarded.
"udp:192.0.2.1:9000"
Optionally specify a media type to stream. If decrypted selected, Telnyx will decrypt incoming SIP media before forking to the target. rx and tx are required fields if decrypted selected.
decrypted "decrypted"
The network target, udp:ip_address:port [blocked], where the call's outgoing RTP media packets should be forwarded.
"udp:192.0.2.1:9001"
Use this field to add state to every subsequent webhook. It must be a valid Base-64 encoded string.
"aGF2ZSBhIG5pY2UgZGF5ID1d"
Use this field to avoid duplicate commands. Telnyx will ignore any command with the same command_id for the same call_control_id.
"891510ac-f3e4-11e8-af5b-de00688a4901"
Response
Successful response upon making a call control command.
{ "result": "ok" }